> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forgegames.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> Lists all templates associated with the specified team. Templates define game system configurations like gacha, roguelike, idle, or card pack mechanics.



## OpenAPI

````yaml swagger.json get /templates
openapi: 3.0.3
info:
  title: Forge API
  description: Rest API to manipulate items
  version: 0.0.1
servers:
  - url: https://forgegames.org/api
security:
  - BasicAuth: []
tags:
  - name: attributes
    description: Attributes
  - name: classifiers
    description: Classifiers
  - name: item-instance-spaces
    description: Item Instance Spaces
  - name: spaces
    description: Spaces
  - name: users
    description: Users
  - name: user-spaces
    description: User Spaces
  - name: items
    description: Items
  - name: item-instances
    description: Item Instances
externalDocs:
  url: https://docs.forgegames.org
paths:
  /templates:
    get:
      tags:
        - templates
      summary: List Templates
      description: >-
        Lists all templates associated with the specified team. Templates define
        game system configurations like gacha, roguelike, idle, or card pack
        mechanics.
      operationId: templates-list
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    teamId:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - gacha
                        - roguelike
                        - idle
                        - card_pack
                    config:
                      anyOf:
                        - type: object
                          properties:
                            pityThreshold:
                              type: integer
                              minimum: 0
                              exclusiveMinimum: true
                            rateUpMultiplier:
                              type: number
                              minimum: 0
                              exclusiveMinimum: true
                            sparkCurrency:
                              type: integer
                              minimum: 0
                            baseRates:
                              type: object
                              additionalProperties:
                                type: number
                                minimum: 0
                                maximum: 1
                          required:
                            - pityThreshold
                            - rateUpMultiplier
                            - sparkCurrency
                            - baseRates
                        - type: object
                          properties:
                            roomRewards:
                              type: array
                              items:
                                type: object
                                properties:
                                  itemId:
                                    type: string
                                  probability:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  quantity:
                                    type: integer
                                    minimum: 0
                                    exclusiveMinimum: true
                                required:
                                  - itemId
                                  - probability
                                  - quantity
                            bossDrops:
                              type: array
                              items:
                                type: object
                                properties:
                                  itemId:
                                    type: string
                                  probability:
                                    type: number
                                    minimum: 0
                                    maximum: 1
                                  quantity:
                                    type: integer
                                    minimum: 0
                                    exclusiveMinimum: true
                                  bossLevel:
                                    type: integer
                                    minimum: 0
                                    exclusiveMinimum: true
                                  bossType:
                                    type: string
                                required:
                                  - itemId
                                  - probability
                                  - quantity
                                  - bossLevel
                            floorProgression:
                              type: object
                              properties:
                                difficultyMultiplier:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                                rewardMultiplier:
                                  type: number
                                  minimum: 0
                                  exclusiveMinimum: true
                                maxFloor:
                                  type: integer
                                  minimum: 0
                                  exclusiveMinimum: true
                              required:
                                - difficultyMultiplier
                                - rewardMultiplier
                          required:
                            - roomRewards
                            - bossDrops
                            - floorProgression
                        - type: object
                          properties:
                            offlineMultiplier:
                              type: number
                              minimum: 0
                              maximum: 1
                            maxAccumulation:
                              type: integer
                              minimum: 0
                              exclusiveMinimum: true
                            tickRate:
                              type: integer
                              minimum: 0
                              exclusiveMinimum: true
                          required:
                            - offlineMultiplier
                            - maxAccumulation
                            - tickRate
                        - type: object
                          properties:
                            duplicateProtection:
                              type: boolean
                            wildcardRate:
                              type: number
                              minimum: 0
                              maximum: 1
                            packSize:
                              type: integer
                              minimum: 0
                              exclusiveMinimum: true
                          required:
                            - duplicateProtection
                            - wildcardRate
                            - packSize
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                      nullable: true
                  required:
                    - id
                    - teamId
                    - name
                    - type
                    - config
                    - createdAt
                    - updatedAt
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BasicAuth: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````